summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVivek Das Mohapatra <vivek@collabora.co.uk>2017-07-20 14:35:39 (GMT)
committerVivek Das Mohapatra <vivek@collabora.co.uk>2017-07-20 14:35:39 (GMT)
commit5670e9bd9603c44208fa83739002bed6cd3aa935 (patch)
treebd16e8e2985ef8da499a41c938908065e3841796
parent925187d7c8a9dc1364d47e5217598e38185574a2 (diff)
downloadlibcapsule-5670e9bd9603c44208fa83739002bed6cd3aa935.tar.gz
libcapsule-5670e9bd9603c44208fa83739002bed6cd3aa935.tar.xz
Hook up an autogen.sh
-rwxr-xr-xautogen.sh29
-rwxr-xr-xdebian/rules3
2 files changed, 31 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..5ca7f17
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+set -e
+
+# Run this to generate all the initial makefiles, etc.
+
+[ -n "$srcdir" ] || srcdir=$(dirname "$0");
+[ -n "$srcdir" ] || srcdir=.;
+
+( cd $srcdir
+
+ if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ];
+ then
+ (echo "*** WARNING: Running 'configure' with no arguments.";
+ echo "*** configure arguments should be passed as:" ;
+ echo "*** $0 ARGS..." ;
+ echo "" ) >&2;
+ fi;
+ autoreconf -ivf || exit $?; );
+
+if [ "$NOCONFIGURE" = "" ];
+then
+ $srcdir/configure "$@" || exit $?;
+
+ if [ "$1" = "--help" ]; then exit 0; fi;
+ echo "Now type 'make' to compile";
+else
+ echo "Skipping configure process.";
+fi
diff --git a/debian/rules b/debian/rules
index fe08106..3145b9c 100755
--- a/debian/rules
+++ b/debian/rules
@@ -5,5 +5,6 @@
dh $@ --with autoreconf
override_dh_auto_configure:
- dh_auto_configure -- --libexecdir=\$${libdir}/capsule
+ NOCONFIGURE=1 dh_auto_configure ./autogen.sh -- \
+ --libexecdir=\$${libdir}/capsule